Bug 239270 - devel/raylib: Update to 2.5.0
Summary: devel/raylib: Update to 2.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-17 17:33 UTC by Martin Filla
Modified: 2019-08-12 11:41 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+


Attachments
raylib.diff (1.82 KB, patch)
2019-07-17 17:33 UTC, Martin Filla
no flags Details | Diff
raylib.diff (1.19 KB, patch)
2019-07-17 17:35 UTC, Martin Filla
no flags Details | Diff
raylib.diff (1.37 KB, patch)
2019-07-25 23:11 UTC, Martin Filla
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Filla 2019-07-17 17:33:27 UTC
Created attachment 205846 [details]
raylib.diff

Hi,
this is update port version from 2.0.0 to 2.5.0
Comment 1 Martin Filla 2019-07-17 17:35:33 UTC
Created attachment 205847 [details]
raylib.diff

only update diff file
Comment 2 Steve Wills freebsd_committer 2019-07-17 19:27:40 UTC
I noticed an issue with this:

[00:03:59] ===> Checking for items in STAGEDIR missing from pkg-plist
[00:03:59] Error: Orphaned: lib/cmake/raylib/raylib-config-version.cmake
[00:03:59] Error: Orphaned: lib/cmake/raylib/raylib-config.cmake
[00:03:59] Error: Orphaned: lib/libraylib.so.2
[00:03:59] ===> Checking for items in pkg-plist which are not in STAGEDIR
[00:03:59] Error: Missing: lib/libraylib.so.1
[00:03:59] ===> Error: Plist issues found.
Comment 3 Martin Filla 2019-07-25 23:11:55 UTC
Created attachment 206066 [details]
raylib.diff

Hi, 
this is new fix
Comment 4 Martin Filla 2019-08-12 09:36:08 UTC
ping
Comment 5 Tobias Kortkamp freebsd_committer 2019-08-12 11:18:31 UTC
Comment on attachment 206066 [details]
raylib.diff

This still fails.  What about

[00:03:59] Error: Orphaned: lib/cmake/raylib/raylib-config-version.cmake
[00:03:59] Error: Orphaned: lib/cmake/raylib/raylib-config.cmake

?

Please test it with `poudriere testport` or at least with `make
check-plist` before submitting a new version of the patch.
Comment 6 commit-hook freebsd_committer 2019-08-12 11:40:55 UTC
A commit references this bug:

Author: tobik
Date: Mon Aug 12 11:40:47 UTC 2019
New revision: 508727
URL: https://svnweb.freebsd.org/changeset/ports/508727

Log:
  devel/raylib: Update to 2.5.0

  PR:		239270
  Submitted by:	Martin Filla <freebsd@sysctl.cz> (maintainer)

Changes:
  head/devel/raylib/Makefile
  head/devel/raylib/distinfo
Comment 7 Tobias Kortkamp freebsd_committer 2019-08-12 11:41:17 UTC
Committed with the necessary changes.